Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1455603 (qt5-qtspeech) - Review Request: qt5-qtspeech - Qt5 - Speech component
Summary: Review Request: qt5-qtspeech - Qt5 - Speech component
Keywords:
Status: CLOSED RAWHIDE
Alias: qt5-qtspeech
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2017-05-25 14:57 UTC by Helio Chissini de Castro
Modified: 2017-11-20 19:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-20 19:06:50 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Helio Chissini de Castro 2017-05-25 14:57:22 UTC
Spec URL: https://heliocastro.fedorapeople.org/qt5-qtspeech.spec
SRPM URL: https://heliocastro.fedorapeople.org/qt5-qtspeech-5.9.0-0.rc.1.fc25.src.rpm
Description: Qt5 - Speech component
Fedora Account System Username: heliocastro

Comment 1 Raphael Groner 2017-07-11 18:35:38 UTC
Isn't that guideline in conflict with how we commonly do it for qt5 addons to use -qt5 as a suffix instead?
https://fedoraproject.org/wiki/Packaging:Naming?rd=Packaging:NamingGuidelines#Addon_Packages

My vote goes for the package name qtspeech-qt5 because it's no real addon but built with qt5.

Comment 2 Rex Dieter 2017-07-11 19:01:15 UTC
qt5- prefix is the way to go, *especially* for official qt5-based modules from qtproject.org

Comment 3 Robert-André Mauchin 2017-09-13 13:49:20 UTC
Hello,

It's trivial but rpmlint is complaining because your description has lines over 80 characters:

qt5-qtspeech.src: E: description-line-too-long C The module enables a Qt application to support accessibility features such as text-to-speech, which is useful for end-users who are
qt5-qtspeech.src: E: description-line-too-long C visually challenged or cannot access the application for whatever reason. The most common use case where text-to-speech comes in handy
qt5-qtspeech.src: E: description-line-too-long C is when the end-user is driving and cannot attend the incoming messages on the phone. In such a scenario, the messaging application
qt5-qtspeech.src: E: description-line-too-long C can read out the incoming message. Qt Serial Port provides the basic functionality, which includes configuring, I/O operations,

Package has no issues otherwise, but you also need to bump version to RC2.
Package is accepted.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "GPL (v3) LGPL (v3)", "GPL (v2)", "LGPL
     (v3)", "Unknown or generated". 63 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/qt5-qtspeech
     /review-qt5-qtspeech/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/qt5/examples(qt5
     -qtxmlpatterns-examples, qt5-qt3d-examples, qt5-qtwebchannel-examples,
     qt5-qtserialbus-examples, qt5-qtwebsockets-examples, qt5-qtscript-
     examples, qt5-qtenginio-examples, qt5-qtconnectivity-examples, qt5
     -qtdeclarative-examples, qt5-qtsensors-examples, qt5-qttools-examples,
     qt5-qtmultimedia-examples, qt5-qtdatavis3d-examples, qt5-qtserialport-
     examples, qt5-qtwebengine-examples, qt5-qtwebview-examples, qt5
     -qtcharts-examples, qt5-qtquickcontrols-examples, qt5-qtgamepad-
     examples, qt5-qtlocation-examples, qt5-qtvirtualkeyboard-examples, qt5
     -qtscxml-examples, qt5-qtsvg-examples, qt5-qtbase-examples)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qt5
     -qtspeech-debuginfo
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qt5-qtspeech-5.9.0-0.rc.2.fc28.x86_64.rpm
          qt5-qtspeech-devel-5.9.0-0.rc.2.fc28.x86_64.rpm
          qt5-qtspeech-examples-5.9.0-0.rc.2.fc28.x86_64.rpm
          qt5-qtspeech-debuginfo-5.9.0-0.rc.2.fc28.x86_64.rpm
          qt5-qtspeech-5.9.0-0.rc.2.fc28.src.rpm
qt5-qtspeech.x86_64: W: spelling-error %description -l en_US pinouts -> pin outs, pin-outs, outpoints
qt5-qtspeech.x86_64: E: description-line-too-long C The module enables a Qt application to support accessibility features such as text-to-speech, which is useful for end-users who are
qt5-qtspeech.x86_64: E: description-line-too-long C visually challenged or cannot access the application for whatever reason. The most common use case where text-to-speech comes in handy
qt5-qtspeech.x86_64: E: description-line-too-long C is when the end-user is driving and cannot attend the incoming messages on the phone. In such a scenario, the messaging application
qt5-qtspeech.x86_64: E: description-line-too-long C can read out the incoming message. Qt Serial Port provides the basic functionality, which includes configuring, I/O operations,
qt5-qtspeech.x86_64: W: no-documentation
qt5-qtspeech.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
qt5-qtspeech.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
qt5-qtspeech-devel.x86_64: W: only-non-binary-in-usr-lib
qt5-qtspeech-devel.x86_64: W: no-documentation
qt5-qtspeech-examples.x86_64: W: no-documentation
qt5-qtspeech-examples.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
qt5-qtspeech-examples.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
qt5-qtspeech-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/speech/hello_speak/main.cpp
qt5-qtspeech-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/speech/hello_speak/mainwindow.cpp
qt5-qtspeech-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/speech/hello_speak/mainwindow.h
qt5-qtspeech.src: W: spelling-error %description -l en_US pinouts -> pin outs, pin-outs, outpoints
qt5-qtspeech.src: E: description-line-too-long C The module enables a Qt application to support accessibility features such as text-to-speech, which is useful for end-users who are
qt5-qtspeech.src: E: description-line-too-long C visually challenged or cannot access the application for whatever reason. The most common use case where text-to-speech comes in handy
qt5-qtspeech.src: E: description-line-too-long C is when the end-user is driving and cannot attend the incoming messages on the phone. In such a scenario, the messaging application
qt5-qtspeech.src: E: description-line-too-long C can read out the incoming message. Qt Serial Port provides the basic functionality, which includes configuring, I/O operations,
5 packages and 0 specfiles checked; 8 errors, 13 warnings.




Rpmlint (debuginfo)
-------------------
Checking: qt5-qtspeech-debuginfo-5.9.0-0.rc.2.fc28.x86_64.rpm
          qt5-qtspeech-examples-debuginfo-5.9.0-0.rc.2.fc28.x86_64.rpm
qt5-qtspeech-examples-debuginfo.x86_64: E: debuginfo-without-sources
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

Comment 4 Raphael Groner 2017-09-20 20:51:47 UTC
Ping requester, any news here?
As I fail to find any official package so far, do you need help with importing?

Comment 5 Raphael Groner 2017-11-06 19:38:19 UTC
Closing here due to no response from requester since nearly two monthes. Please feel free to re-open if there's still interest, or use this as a base to start another review request.

Comment 6 Rex Dieter 2017-11-06 19:59:30 UTC
I (or any kde-sig member who will be comaintainers) can import this.  I'll try to work on it today.

Comment 7 Rex Dieter 2017-11-06 20:06:30 UTC
branch requests submitted

Comment 8 Gwyn Ciesla 2017-11-06 22:17:25 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/qt5-qtspeech

Comment 9 Rex Dieter 2017-11-20 19:06:50 UTC
imported


Note You need to log in before you can comment on or make changes to this bug.